##### basic_random_access_file::basic_random_access_file (8 of 10 overloads)

Construct a `basic_random_access_file` on an existing native file.

    template<
        typename ExecutionContext>
    basic_random_access_file(
        ExecutionContext & context,
        const native_handle_type & native_file,
        constraint_t< is_convertible< ExecutionContext &, execution_context & >::value, defaulted_constraint >  = defaulted_constraint());

This constructor initialises a random-access file object to hold an existing native file.

###### Parameters

context

  An execution context which provides the I/O executor that the file will use, by default, to dispatch handlers for any asynchronous operations performed on the file.

native_file

  The new underlying file implementation.

###### Exceptions

asio::system_error

  Thrown on failure.